# Examples

This section contains practical examples demonstrating how to use the OM1 project.

## Getting Started

Before running any examples, ensure you have the project dependencies installed. Refer the documentation [here](/developing/1_get-started.md).

## Running Examples

Examples can be executed using:

```bash
uv run src/run.py <example_command>
```

Some examples to get started with

* [Conversation](https://github.com/OpenMind/OM1/blob/main/config/conversation.json5)
* [Unitree G1](https://github.com/OpenMind/OM1/blob/main/config/unitree_g1.json5)
* [Unitree Go2](https://github.com/OpenMind/OM1/blob/main/config/unitree_go2.json5)
* [UbTech Mini Humanoid](https://github.com/OpenMind/OM1/blob/main/config/ubtech_yanshee.json5)
* [Turtlebot](https://github.com/OpenMind/OM1/blob/main/config/turtlebot4.json5)
* [MCP Integration](https://github.com/OpenMind/OM1/blob/main/config/conversation_mcp.json5)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openmind.com/developer-cookbook/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
